{% if ente is not defined %}
  {% set ente = instance_service.getCurrentInstance() %}
{% endif %}
{% set service = ente.getMetaAsArray('service') %}
{% set has_social = ente.hasSocial()  %}
{% set onlyLogo = ente.getMetaAsArray('enable_only_logo') %}


<header class="it-header-wrapper it-header-sticky">
  <div class="it-header-slim-wrapper {% if ente.themeOptions.lightTopHeader %}light{% endif %}">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="it-header-slim-wrapper-content">

            {% if service.amministrazione_afferente is defined %}
              <a class="d-lg-block d-none navbar-brand" href="{{ service.amministrazione_afferente.url }}">
                {{ service.amministrazione_afferente.text }}
              </a>
            {% endif %}

            <div class="nav-mobile">
              <nav>
                {% if service.nav is defined %}
                  <a class="d-lg-none navbar-brand" data-toggle="collapse" href="#service-menu" role="button"
                     aria-expanded="false" aria-controls="service-menu">
                    <span>{% if service.amministrazione_afferente is defined %}{{ service.amministrazione_afferente.text }}{% endif %}</span>
                    <svg class="icon icon-white">
                      <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-expand') }}"></use>
                    </svg>
                  </a>

                  {% if not service.nav is empty %}
                    <div class="link-list-wrapper collapse" id="service-menu">
                      <ul class="link-list">
                        {% for item in service.nav %}
                          <li>
                            {% if item.url is defined and item.text is defined %}
                              <a href="{{ item.url }}" title="{{ 'link_to'|trans }} {{ item.text }}">
                                {{ item.text }}
                              </a>
                            {% endif %}
                          </li>
                        {% endfor %}
                      </ul>
                    </div>
                  {% endif %}
                {% endif %}
              </nav>
            </div>
            {{ include('Default/parts/user_badge.html.twig') }}
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="it-nav-wrapper">
    <div class="it-header-center-wrapper {% if ente.themeOptions.lightCenterHeader %}light{% endif %}">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="it-header-center-content-wrapper">
              <div class="it-brand-wrapper">
                {% if ente %}
                  <a href="{{ ente.siteUrl }}">
                    {% set logo = ente.getMetaAsArray('logo') %}
                    {% set customName = ente.getMetaAsArray('name') %}
                    {% set enteName = customName != '' ? customName :  ente.name %}
                    {% if logo is defined and logo is not empty %}
                      <img class="icon w-auto" src="{{ logo }}" alt="{{ enteName }}"/>
                    {% else %}
                      <img class="icon" src="{{ asset('bundles/app/images/logo-default.png') }}" alt="{{ enteName }}"/>
                    {% endif %}
                    <div class="it-brand-text">
                      <h2 {% if onlyLogo is defined and onlyLogo == true %}class="sr-only"{% endif %}>{{ enteName }}</h2>
                    </div>
                  </a>
                {% endif %}
              </div>
              <div class="it-right-zone">
                {% if has_social %}
                  {% set social = ente.getMetaAsArray('social') %}
                  <div class="it-socials d-none d-md-flex">
                    <span>{{ 'general.follow_social' | trans }}</span>
                    <ul>
                      {% for key,value in social %}
                        {% if not value is empty %}
                          <li>
                            <a href="{{ value }}" aria-label="{{ key }}" target="_blank">
                              {% if key == 'twitter' %}
                                <svg class="icon">
                                  <use xlink:href="{{ asset('bundles/app/images/sprites.svg') }}#it-twitter"></use>
                                </svg>
                              {% else %}
                                <svg class="icon">
                                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-{{ key }}"></use>
                                </svg>
                              {% endif %}
                            </a>
                          </li>
                        {% endif %}
                      {% endfor %}
                    </ul>
                  </div>
                {% endif %}

                {% if ente.isSearchAndCatalogueEnabled() %}
                  <div class="it-search-wrapper">
                    <span class="d-none d-md-block">{{ 'search.label' | trans }}</span>
                    <a class="search-link rounded-icon" href="#" aria-label="{{ 'search.label' | trans }}"
                      id="globalSearchBtn" data-toggle="modal" data-target="#globalSearchModal">
                      <svg class="icon">
                        <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-search') }}"></use>
                      </svg>
                    </a>
                  </div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    {{ include('Default/nav/main.html.twig') }}
  </div>
</header>
